# -*- coding: utf-8 -*-

from rest_framework import serializers

from .. import models


class OfficeSerializer(serializers.ModelSerializer):
    class Meta:
        model = models.Office
        fields = '__all__'


class OfficeSerializerCreate(serializers.ModelSerializer):
    class Meta:
        model = models.Office
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')


class OfficeSerializerUpdate(serializers.ModelSerializer):
    class Meta:
        model = models.Office
        exclude = ('date_create', 'date_last_modify', 'creator', 'last_modifier')
