# -*- coding: utf-8 -*-

from django.conf.urls import url

from . import views


urlpatterns = [
    url(
        r'^office/$',
        views.OfficeList.as_view(),
        name='office_list'
    ),
    url(
        r'^office/(?P<pk>\w+)/retrieve/$',
        views.OfficeRetrieve.as_view(),
        name='office_retrieve'
    ),
    url(
        r'^office/create/$',
        views.OfficeCreate.as_view(),
        name='office_create'
    ),
    url(
        r'^office/(?P<pk>\w+)/update/$',
        views.OfficeUpdate.as_view(),
        name='office_update'
    ),
]
