# -*- coding: utf-8 -*-

from django.utils.translation import ugettext as _
from django.core.urlresolvers import reverse
from admin_tools.menu import items, Menu
from jmb.core.admin.menu import register_menu

office_menu_item = items.MenuItem(
    # GENERAL
    _('office'),
    reverse('admin:app_list', kwargs={'app_label': 'office'}),
    children=[
        items.MenuItem(_('add office'), reverse('admin:office_office_add', )),
        items.MenuItem(_('office list'), reverse('admin:office_office_changelist', )),
    ]
)

register_menu(office_menu_item, 'thux.office')
